Get Audit Logs
curl --request GET \
--url https://api.portkey.ai/v1/audit-logs \
--header 'x-portkey-api-key: <api-key>'{
"records": [
{
"timestamp": "<string>",
"uri": "<string>",
"request_id": "<string>",
"request_body": "<string>",
"query_params": "<string>",
"request_headers": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"response_status_code": 123,
"resource_type": "<string>",
"action": "<string>",
"client_ip": "<string>",
"country": "<string>"
}
],
"total": 123
}List Audit Logs
GET
/
audit-logs
Get Audit Logs
curl --request GET \
--url https://api.portkey.ai/v1/audit-logs \
--header 'x-portkey-api-key: <api-key>'{
"records": [
{
"timestamp": "<string>",
"uri": "<string>",
"request_id": "<string>",
"request_body": "<string>",
"query_params": "<string>",
"request_headers": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"response_status_code": 123,
"resource_type": "<string>",
"action": "<string>",
"client_ip": "<string>",
"country": "<string>"
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Start time for filtering logs (ISO8601 format)
End time for filtering logs (ISO8601 format)
Organisation ID for filtering logs
HTTP method for filtering logs
Available options:
POST, PUT, DELETE URI path for filtering logs
Request ID for filtering logs
User ID for filtering logs
Type of user for filtering logs
Available options:
user, api_key Workspace ID for filtering logs
HTTP response status code for filtering logs
Resource type for filtering logs
Action type for filtering logs
Client IP address for filtering logs
Country for filtering logs
Current page number for pagination
Required range:
x >= 0Number of items per page
Required range:
0 <= x <= 100Last modified on May 21, 2026
Was this page helpful?
⌘I

